"""add indexes for natural forecasts

Revision ID: c164eff8a1f3
Revises: 0c7b5c0d13d9
Create Date: 2025-03-13 16:35:05.161485

"""
from typing import Sequence, Union

from alembic import op

# revision identifiers, used by Alembic.
revision: str = 'c164eff8a1f3'
down_revision: Union[str, None] = '0c7b5c0d13d9'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('idx_eventobservation_time_value', 'eventobservation', [
                    'time_value'], unique=False, postgresql_using='brin')
    op.create_index('idx_forecast_endtime', 'forecast', [
                    'endtime'], unique=False, postgresql_using='brin')
    op.create_index('idx_forecast_starttime', 'forecast', [
                    'starttime'], unique=False, postgresql_using='brin')
    op.create_index(op.f('ix_forecast_forecastseries_oid'),
                    'forecast', ['forecastseries_oid'], unique=False)
    op.create_index('idx_modelresult_oid',
                    'modelresult', ['oid'], unique=False)
    op.create_index(op.f('ix_modelresult_modelrun_oid'),
                    'modelresult', ['modelrun_oid'], unique=False)
    op.create_index(op.f('ix_modelrun_forecast_oid'),
                    'modelrun', ['forecast_oid'], unique=False)
    op.create_index(op.f('ix_modelrun_modelconfig_oid'),
                    'modelrun', ['modelconfig_oid'], unique=False)
    op.create_index(op.f('ix_seismicevent_modelresult_oid'),
                    'seismicevent', ['modelresult_oid'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_seismicevent_modelresult_oid'),
                  table_name='seismicevent')
    op.drop_index(op.f('ix_modelrun_modelconfig_oid'), table_name='modelrun')
    op.drop_index(op.f('ix_modelrun_forecast_oid'), table_name='modelrun')
    op.drop_index(op.f('ix_modelresult_modelrun_oid'),
                  table_name='modelresult')
    op.drop_index('idx_modelresult_oid', table_name='modelresult')
    op.drop_index(op.f('ix_forecast_forecastseries_oid'),
                  table_name='forecast')
    op.drop_index('idx_forecast_starttime',
                  table_name='forecast', postgresql_using='brin')
    op.drop_index('idx_forecast_endtime', table_name='forecast',
                  postgresql_using='brin')
    op.drop_index('idx_eventobservation_time_value',
                  table_name='eventobservation', postgresql_using='brin')
    # ### end Alembic commands ###
